diff --git a/doc/builtins.ps b/doc/builtins.ps
index d07ab01e..753ed80f 100644
--- a/doc/builtins.ps
+++ b/doc/builtins.ps
@@ -302,334 +302,342 @@ E F0 .981(option to the)3.481 F F2(shopt)3.481 E F0 -.2(bu)3.481 G .981
 375.6 S(TH)-.189 E F0 .112(is not searched.)2.362 F .112(If an)5.112 F
 (y)-.15 E F3(ar)2.612 E(guments)-.37 E F0 .112(are supplied, the)2.612 F
 2.612(yb)-.15 G .112(ecome the positional parameters when)-2.612 F F3
-(\214lename)144 387.6 Q F0 .342(is e)2.842 F -.15(xe)-.15 G 2.842
-(cuted. Otherwise).15 F .342(the positional parameters are unchanged.)
-2.842 F .341(The return status is the)5.341 F .716
-(status of the last command e)144 399.6 R .716
-(xited within the script \(0 if no commands are e)-.15 F -.15(xe)-.15 G
-.716(cuted\), and f).15 F .716(alse if)-.1 F F3(\214lename)145.91 411.6
-Q F0(is not found or cannot be read.)2.68 E F2(alias)108 428.4 Q F0([)
-2.5 E F2<ad70>A F0 2.5(][)C F3(name)-2.5 E F0([=)A F3(value)A F0 2.5(].)
-C(..])-2.5 E F2(Alias)144 440.4 Q F0 2.725(with no ar)5.225 F 2.724
+(\214lename)144 387.6 Q F0 1.697(is e)4.197 F -.15(xe)-.15 G 4.197
+(cuted. Otherwise).15 F 1.697(the positional parameters are unchanged.)
+4.197 F 1.697(If the)6.697 F F2<ad54>4.197 E F0 1.696(option is)4.197 F
+(enabled,)144 399.6 Q F2(sour)3.617 E(ce)-.18 E F0 1.117(inherits an)
+3.617 F 3.617(yt)-.15 G 1.117(rap on)-3.617 F F2(DEB)3.617 E(UG)-.1 E F0
+3.618(;i)C 3.618(fi)-3.618 G 3.618(ti)-3.618 G 3.618(sn)-3.618 G 1.118
+(ot, an)-3.618 F(y)-.15 E F2(DEB)3.618 E(UG)-.1 E F0 1.118
+(trap string is sa)3.618 F -.15(ve)-.2 G 3.618(da).15 G(nd)-3.618 E .36
+(restored around the call to)144 411.6 R F2(sour)2.86 E(ce)-.18 E F0
+2.86(,a)C(nd)-2.86 E F2(sour)2.86 E(ce)-.18 E F0 .36(unsets the)2.86 F
+F2(DEB)2.86 E(UG)-.1 E F0 .36(trap while it e)2.86 F -.15(xe)-.15 G 2.86
+(cutes. If).15 F F2<ad54>2.86 E F0(is)2.86 E 1.435
+(not set, and the sourced \214le changes the)144 423.6 R F2(DEB)3.935 E
+(UG)-.1 E F0 1.435(trap, the ne)3.935 F 3.935(wv)-.25 G 1.435
+(alue is retained when)-4.185 F F2(sour)3.935 E(ce)-.18 E F0 3.763
+(completes. The)144 435.6 R 1.262
+(return status is the status of the last command e)3.763 F 1.262
+(xited within the script \(0 if no)-.15 F(commands are e)144 447.6 Q
+-.15(xe)-.15 G(cuted\), and f).15 E(alse if)-.1 E F3(\214lename)4.41 E
+F0(is not found or cannot be read.)2.68 E F2(alias)108 464.4 Q F0([)2.5
+E F2<ad70>A F0 2.5(][)C F3(name)-2.5 E F0([=)A F3(value)A F0 2.5(].)C
+(..])-2.5 E F2(Alias)144 476.4 Q F0 2.724(with no ar)5.224 F 2.724
 (guments or with the)-.18 F F2<ad70>5.224 E F0 2.724
-(option prints the list of aliases in the form)5.224 F F2(alias)5.224 E
-F3(name)144 452.4 Q F0(=)A F3(value)A F0 .58(on standard output.)3.08 F
+(option prints the list of aliases in the form)5.224 F F2(alias)5.225 E
+F3(name)144 488.4 Q F0(=)A F3(value)A F0 .58(on standard output.)3.08 F
 .58(When ar)5.58 F .58
 (guments are supplied, an alias is de\214ned for each)-.18 F F3(name)
-3.08 E F0(whose)144 464.4 Q F3(value)2.509 E F0 .009(is gi)2.509 F -.15
+3.08 E F0(whose)144 500.4 Q F3(value)2.508 E F0 .009(is gi)2.508 F -.15
 (ve)-.25 G 2.509(n. A).15 F .009(trailing space in)2.509 F F3(value)
 2.509 E F0 .009(causes the ne)2.509 F .009(xt w)-.15 F .009
-(ord to be check)-.1 F .008(ed for alias substi-)-.1 F .579
-(tution when the alias is e)144 476.4 R 3.079(xpanded. F)-.15 F .579
+(ord to be check)-.1 F .009(ed for alias substi-)-.1 F .579
+(tution when the alias is e)144 512.4 R 3.079(xpanded. F)-.15 F .579
 (or each)-.15 F F3(name)3.079 E F0 .579(in the ar)3.079 F .579
-(gument list for which no)-.18 F F3(value)3.079 E F0 .579(is sup-)3.079
-F 1.314(plied, the name and v)144 488.4 R 1.314
+(gument list for which no)-.18 F F3(value)3.079 E F0 .578(is sup-)3.078
+F 1.313(plied, the name and v)144 524.4 R 1.314
 (alue of the alias is printed.)-.25 F F2(Alias)6.314 E F0 1.314
-(returns true unless a)3.814 F F3(name)3.814 E F0 1.313(is gi)3.814 F
--.15(ve)-.25 G 3.813(nf).15 G(or)-3.813 E
-(which no alias has been de\214ned.)144 500.4 Q F2(bg)108 517.2 Q F0([)
-2.5 E F3(jobspec)A F0(...])2.5 E .744(Resume each suspended job)144
-529.2 R F3(jobspec)3.244 E F0 .745
-(in the background, as if it had been started with)3.244 F F2(&)3.245 E
-F0 5.745(.I)C(f)-5.745 E F3(job-)4.985 E(spec)144 541.2 Q F0 .672
-(is not present, the shell')3.482 F 3.172(sn)-.55 G .672(otion of the)
--3.172 F F3(curr)3.172 E .672(ent job)-.37 F F0 .672(is used.)3.172 F F2
-(bg)5.671 E F3(jobspec)4.911 E F0 .671(returns 0 unless run)3.481 F .418
-(when job control is disabled or)144 553.2 R 2.919(,w)-.4 G .419
-(hen run with job control enabled, an)-2.919 F 2.919(ys)-.15 G
-(peci\214ed)-2.919 E F3(jobspec)2.919 E F0 -.1(wa)2.919 G 2.919(sn).1 G
-(ot)-2.919 E(found or w)144 565.2 Q(as started without job control.)-.1
-E F2(bind)108 582 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5 G(ymap)-.2 E F0
-2.5(][)C F2(\255lpsvPSVX)-2.5 E F0(])A F2(bind)108 594 Q F0([)2.5 E F2
+(returns true unless a)3.814 F F3(name)3.814 E F0 1.314(is gi)3.814 F
+-.15(ve)-.25 G 3.814(nf).15 G(or)-3.814 E
+(which no alias has been de\214ned.)144 536.4 Q F2(bg)108 553.2 Q F0([)
+2.5 E F3(jobspec)A F0(...])2.5 E .745(Resume each suspended job)144
+565.2 R F3(jobspec)3.245 E F0 .745
+(in the background, as if it had been started with)3.245 F F2(&)3.244 E
+F0 5.744(.I)C(f)-5.744 E F3(job-)4.984 E(spec)144 577.2 Q F0 .671
+(is not present, the shell')3.481 F 3.171(sn)-.55 G .672(otion of the)
+-3.171 F F3(curr)3.172 E .672(ent job)-.37 F F0 .672(is used.)3.172 F F2
+(bg)5.672 E F3(jobspec)4.912 E F0 .672(returns 0 unless run)3.482 F .419
+(when job control is disabled or)144 589.2 R 2.919(,w)-.4 G .419
+(hen run with job control enabled, an)-2.919 F 2.918(ys)-.15 G
+(peci\214ed)-2.918 E F3(jobspec)2.918 E F0 -.1(wa)2.918 G 2.918(sn).1 G
+(ot)-2.918 E(found or w)144 601.2 Q(as started without job control.)-.1
+E F2(bind)108 618 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5 G(ymap)-.2 E F0
+2.5(][)C F2(\255lpsvPSVX)-2.5 E F0(])A F2(bind)108 630 Q F0([)2.5 E F2
 <ad6d>A F3 -.1(ke)2.5 G(ymap)-.2 E F0 2.5(][)C F2<ad71>-2.5 E F3
 (function)2.5 E F0 2.5(][)C F2<ad75>-2.5 E F3(function)2.5 E F0 2.5(][)C
-F2<ad72>-2.5 E F3 -.1(ke)2.5 G(yseq)-.2 E F0(])A F2(bind)108 606 Q F0([)
+F2<ad72>-2.5 E F3 -.1(ke)2.5 G(yseq)-.2 E F0(])A F2(bind)108 642 Q F0([)
 2.5 E F2<ad6d>A F3 -.1(ke)2.5 G(ymap)-.2 E F0(])A F2<ad66>2.5 E F3
-(\214lename)2.5 E F2(bind)108 618 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5 G
+(\214lename)2.5 E F2(bind)108 654 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5 G
 (ymap)-.2 E F0(])A F2<ad78>2.5 E F3 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F3
-(shell\255command)A F2(bind)108 630 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5
+(shell\255command)A F2(bind)108 666 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5
 G(ymap)-.2 E F0(])A F3 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F3
-(function\255name)A F2(bind)108 642 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5
+(function\255name)A F2(bind)108 678 Q F0([)2.5 E F2<ad6d>A F3 -.1(ke)2.5
 G(ymap)-.2 E F0(])A F3 -.1(ke)2.5 G(yseq)-.2 E F0(:)A F3 -.37(re)C
-(adline\255command).37 E F0 .239(Display current)144 654 R F2 -.18(re)
-2.739 G(adline).18 E F0 -.1(ke)2.739 G 2.739(ya)-.05 G .239
-(nd function bindings, bind a k)-2.739 F .539 -.15(ey s)-.1 H .238
-(equence to a).15 F F2 -.18(re)2.738 G(adline).18 E F0 .238(function or)
-2.738 F .475(macro, or set a)144 666 R F2 -.18(re)2.975 G(adline).18 E
-F0 -.25(va)2.975 G 2.975(riable. Each).25 F .476(non-option ar)2.976 F
-.476(gument is a command as it w)-.18 F .476(ould appear in)-.1 F F3
-(.inputr)144 678 Q(c)-.37 E F0 2.984(,b).31 G .484
-(ut each binding or command must be passed as a separate ar)-3.184 F
-.483(gument; e.g., '"\\C\255x\\C\255r":)-.18 F 2.5
-(re\255read\255init\255\214le'. Options,)144 690 R(if supplied, ha)2.5 E
-.3 -.15(ve t)-.2 H(he follo).15 E(wing meanings:)-.25 E F2<ad6d>144 702
-Q F3 -.1(ke)2.5 G(ymap)-.2 E F0(Use)180 714 Q F3 -.1(ke)5.158 G(ymap)-.2
-E F0 2.658(as the k)5.348 F -.15(ey)-.1 G 2.658(map to be af).15 F 2.659
-(fected by the subsequent bindings.)-.25 F(Acceptable)7.659 E F3 -.1(ke)
-180 726 S(ymap)-.2 E F0 3.193(names are)5.883 F F3 3.193
-(emacs, emacs\255standar)5.693 F 3.192
-(d, emacs\255meta, emacs\255ctlx, vi, vi\255mo)-.37 F(ve)-.1 E(,)-.1 E
-F0(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(1)203.725 E 0 Cg EP
+(adline\255command).37 E F0 .238(Display current)144 690 R F2 -.18(re)
+2.738 G(adline).18 E F0 -.1(ke)2.738 G 2.738(ya)-.05 G .239
+(nd function bindings, bind a k)-2.738 F .539 -.15(ey s)-.1 H .239
+(equence to a).15 F F2 -.18(re)2.739 G(adline).18 E F0 .239(function or)
+2.739 F .476(macro, or set a)144 702 R F2 -.18(re)2.976 G(adline).18 E
+F0 -.25(va)2.976 G 2.976(riable. Each).25 F .476(non-option ar)2.976 F
+.475(gument is a command as it w)-.18 F .475(ould appear in)-.1 F F3
+(.inputr)144 714 Q(c)-.37 E F0 2.983(,b).31 G .484
+(ut each binding or command must be passed as a separate ar)-3.183 F
+.484(gument; e.g., '"\\C\255x\\C\255r":)-.18 F 2.5
+(re\255read\255init\255\214le'. Options,)144 726 R(if supplied, ha)2.5 E
+.3 -.15(ve t)-.2 H(he follo).15 E(wing meanings:)-.25 E(GNU Bash-4.2)72
+768 Q(2004 Apr 20)148.735 E(1)203.725 E 0 Cg EP
 %%Page: 2 2
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 87.61
 (TINS\(1\) General)-.92 F(Commands Manual)2.5 E -.35(BA)90.11 G(SH_B).35
-E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10/Times-Italic@0 SF(vi\255command)180
-84 Q F0 4.429(,a)C(nd)-4.429 E F1(vi\255insert)4.429 E F0(.).68 E F1(vi)
-6.929 E F0 1.929(is equi)4.429 F -.25(va)-.25 G 1.929(lent to).25 F F1
-(vi\255command)4.429 E F0(;)A F1(emacs)4.429 E F0 1.929(is equi)4.429 F
--.25(va)-.25 G 1.93(lent to).25 F F1(emacs\255standar)180 96 Q(d)-.37 E
-F0(.)A/F2 10/Times-Bold@0 SF<ad6c>144 108 Q F0(List the names of all)180
-108 Q F2 -.18(re)2.5 G(adline).18 E F0(functions.)2.5 E F2<ad70>144 120
-Q F0(Display)180 120 Q F2 -.18(re)2.5 G(adline).18 E F0
+E(UIL)-.1 E(TINS\(1\))-.92 E/F1 10/Times-Bold@0 SF<ad6d>144 84 Q/F2 10
+/Times-Italic@0 SF -.1(ke)2.5 G(ymap)-.2 E F0(Use)180 96 Q F2 -.1(ke)
+5.159 G(ymap)-.2 E F0 2.659(as the k)5.349 F -.15(ey)-.1 G 2.658
+(map to be af).15 F 2.658(fected by the subsequent bindings.)-.25 F
+(Acceptable)7.658 E F2 -.1(ke)180 108 S(ymap)-.2 E F0 3.192(names are)
+5.882 F F2 3.192(emacs, emacs\255standar)5.692 F 3.193
+(d, emacs\255meta, emacs\255ctlx, vi, vi\255mo)-.37 F(ve)-.1 E(,)-.1 E
+(vi\255command)180 120 Q F0 4.43(,a)C(nd)-4.43 E F2(vi\255insert)4.429 E
+F0(.).68 E F2(vi)6.929 E F0 1.929(is equi)4.429 F -.25(va)-.25 G 1.929
+(lent to).25 F F2(vi\255command)4.429 E F0(;)A F2(emacs)4.429 E F0 1.929
+(is equi)4.429 F -.25(va)-.25 G 1.929(lent to).25 F F2(emacs\255standar)
+180 132 Q(d)-.37 E F0(.)A F1<ad6c>144 144 Q F0(List the names of all)180
+144 Q F1 -.18(re)2.5 G(adline).18 E F0(functions.)2.5 E F1<ad70>144 156
+Q F0(Display)180 156 Q F1 -.18(re)2.5 G(adline).18 E F0
 (function names and bindings in such a w)2.5 E(ay that the)-.1 E 2.5(yc)
--.15 G(an be re-read.)-2.5 E F2<ad50>144 132 Q F0(List current)180 132 Q
-F2 -.18(re)2.5 G(adline).18 E F0(function names and bindings.)2.5 E F2
-<ad73>144 144 Q F0(Display)180 144 Q F2 -.18(re)3.655 G(adline).18 E F0
+-.15 G(an be re-read.)-2.5 E F1<ad50>144 168 Q F0(List current)180 168 Q
+F1 -.18(re)2.5 G(adline).18 E F0(function names and bindings.)2.5 E F1
+<ad73>144 180 Q F0(Display)180 180 Q F1 -.18(re)3.655 G(adline).18 E F0
 -.1(ke)3.655 G 3.655(ys)-.05 G 1.155
 (equences bound to macros and the strings the)-3.655 F 3.655(yo)-.15 G
-1.155(utput in such a)-3.655 F -.1(wa)180 156 S 2.5(yt).1 G(hat the)-2.5
-E 2.5(yc)-.15 G(an be re-read.)-2.5 E F2<ad53>144 168 Q F0(Display)180
-168 Q F2 -.18(re)2.5 G(adline).18 E F0 -.1(ke)2.5 G 2.5(ys)-.05 G
+1.155(utput in such a)-3.655 F -.1(wa)180 192 S 2.5(yt).1 G(hat the)-2.5
+E 2.5(yc)-.15 G(an be re-read.)-2.5 E F1<ad53>144 204 Q F0(Display)180
+204 Q F1 -.18(re)2.5 G(adline).18 E F0 -.1(ke)2.5 G 2.5(ys)-.05 G
 (equences bound to macros and the strings the)-2.5 E 2.5(yo)-.15 G
-(utput.)-2.5 E F2<ad76>144 180 Q F0(Display)180 180 Q F2 -.18(re)2.5 G
+(utput.)-2.5 E F1<ad76>144 216 Q F0(Display)180 216 Q F1 -.18(re)2.5 G
 (adline).18 E F0 -.25(va)2.5 G(riable names and v).25 E
 (alues in such a w)-.25 E(ay that the)-.1 E 2.5(yc)-.15 G
-(an be re-read.)-2.5 E F2<ad56>144 192 Q F0(List current)180 192 Q F2
+(an be re-read.)-2.5 E F1<ad56>144 228 Q F0(List current)180 228 Q F1
 -.18(re)2.5 G(adline).18 E F0 -.25(va)2.5 G(riable names and v).25 E
-(alues.)-.25 E F2<ad66>144 204 Q F1(\214lename)2.5 E F0(Read k)180 216 Q
-.3 -.15(ey b)-.1 H(indings from).15 E F1(\214lename)2.5 E F0(.)A F2
-<ad71>144 228 Q F1(function)2.5 E F0(Query about which k)180 240 Q -.15
+(alues.)-.25 E F1<ad66>144 240 Q F2(\214lename)2.5 E F0(Read k)180 252 Q
+.3 -.15(ey b)-.1 H(indings from).15 E F2(\214lename)2.5 E F0(.)A F1
+<ad71>144 264 Q F2(function)2.5 E F0(Query about which k)180 276 Q -.15
 (ey)-.1 G 2.5(si).15 G -1.9 -.4(nv o)-2.5 H .2 -.1(ke t).4 H(he named).1
-E F1(function)2.5 E F0(.)A F2<ad75>144 252 Q F1(function)2.5 E F0
-(Unbind all k)180 264 Q -.15(ey)-.1 G 2.5(sb).15 G(ound to the named)
--2.5 E F1(function)2.5 E F0(.)A F2<ad72>144 276 Q F1 -.1(ke)2.5 G(yseq)
--.2 E F0(Remo)180 288 Q .3 -.15(ve a)-.15 H .3 -.15(ny c).15 H
-(urrent binding for).15 E F1 -.1(ke)2.5 G(yseq)-.2 E F0(.)A F2<ad78>144
-300 Q F1 -.1(ke)2.5 G(yseq)-.2 E F2(:)A F1(shell\255command)A F0(Cause)
-180 312 Q F1(shell\255command)4.325 E F0 1.825(to be e)4.325 F -.15(xe)
--.15 G 1.825(cuted whene).15 F -.15(ve)-.25 G(r).15 E F1 -.1(ke)4.325 G
-(yseq)-.2 E F0 1.825(is entered.)4.325 F(When)6.825 E F1(shell\255com-)
-4.325 E(mand)180 324 Q F0 1.765(is e)4.265 F -.15(xe)-.15 G 1.765
+E F2(function)2.5 E F0(.)A F1<ad75>144 288 Q F2(function)2.5 E F0
+(Unbind all k)180 300 Q -.15(ey)-.1 G 2.5(sb).15 G(ound to the named)
+-2.5 E F2(function)2.5 E F0(.)A F1<ad72>144 312 Q F2 -.1(ke)2.5 G(yseq)
+-.2 E F0(Remo)180 324 Q .3 -.15(ve a)-.15 H .3 -.15(ny c).15 H
+(urrent binding for).15 E F2 -.1(ke)2.5 G(yseq)-.2 E F0(.)A F1<ad78>144
+336 Q F2 -.1(ke)2.5 G(yseq)-.2 E F1(:)A F2(shell\255command)A F0(Cause)
+180 348 Q F2(shell\255command)4.325 E F0 1.825(to be e)4.325 F -.15(xe)
+-.15 G 1.825(cuted whene).15 F -.15(ve)-.25 G(r).15 E F2 -.1(ke)4.325 G
+(yseq)-.2 E F0 1.825(is entered.)4.325 F(When)6.825 E F2(shell\255com-)
+4.325 E(mand)180 360 Q F0 1.764(is e)4.264 F -.15(xe)-.15 G 1.765
 (cuted, the shell sets the).15 F/F3 9/Times-Bold@0 SF(READLINE_LINE)
-4.265 E F0 -.25(va)4.015 G 1.765(riable to the contents of the).25 F F2
--.18(re)180 336 S(adline).18 E F0 1.353(line b)3.852 F(uf)-.2 E 1.353
+4.265 E F0 -.25(va)4.015 G 1.765(riable to the contents of the).25 F F1
+-.18(re)180 372 S(adline).18 E F0 1.353(line b)3.853 F(uf)-.2 E 1.353
 (fer and the)-.25 F F3(READLINE_POINT)3.853 E F0 -.25(va)3.603 G 1.353
-(riable to the current location of the).25 F 2.012(insertion point.)180
-348 R 2.011(If the e)7.012 F -.15(xe)-.15 G 2.011
+(riable to the current location of the).25 F 2.011(insertion point.)180
+384 R 2.011(If the e)7.011 F -.15(xe)-.15 G 2.011
 (cuted command changes the v).15 F 2.011(alue of)-.25 F F3
-(READLINE_LINE)4.511 E F0(or)4.261 E F3(READLINE_POINT)180 360 Q/F4 9
+(READLINE_LINE)4.512 E F0(or)4.262 E F3(READLINE_POINT)180 396 Q/F4 9
 /Times-Roman@0 SF(,)A F0(those ne)2.25 E 2.5(wv)-.25 G
-(alues will be re\215ected in the editing state.)-2.75 E F2<ad58>144 372
-Q F0 .829(List all k)180 372 R 1.129 -.15(ey s)-.1 H .829
+(alues will be re\215ected in the editing state.)-2.75 E F1<ad58>144 408
+Q F0 .83(List all k)180 408 R 1.13 -.15(ey s)-.1 H .829
 (equences bound to shell commands and the associated commands in a for)
-.15 F(-)-.2 E(mat that can be reused as input.)180 384 Q(The return v)
-144 400.8 Q(alue is 0 unless an unrecognized option is gi)-.25 E -.15
+.15 F(-)-.2 E(mat that can be reused as input.)180 420 Q(The return v)
+144 436.8 Q(alue is 0 unless an unrecognized option is gi)-.25 E -.15
 (ve)-.25 G 2.5(no).15 G 2.5(ra)-2.5 G 2.5(ne)-2.5 G(rror occurred.)-2.5
-E F2(br)108 417.6 Q(eak)-.18 E F0([)2.5 E F1(n)A F0(])A .055
-(Exit from within a)144 429.6 R F2 -.25(fo)2.555 G(r).25 E F0(,)A F2
-(while)2.555 E F0(,)A F2(until)2.555 E F0 2.555(,o)C(r)-2.555 E F2
-(select)2.555 E F0 2.555(loop. If)2.555 F F1(n)2.555 E F0 .055
-(is speci\214ed, break)2.555 F F1(n)2.555 E F0(le)2.555 E -.15(ve)-.25 G
-(ls.).15 E F1(n)5.414 E F0 .054(must be)2.794 F/F5 10/Symbol SF<b3>2.554
-E F0(1.)2.554 E(If)144 441.6 Q F1(n)3.074 E F0 .215(is greater than the\
- number of enclosing loops, all enclosing loops are e)2.954 F 2.715
-(xited. The)-.15 F .215(return v)2.715 F(alue)-.25 E(is 0 unless)144
-453.6 Q F1(n)2.5 E F0(is not greater than or equal to 1.)2.5 E F2 -.2
-(bu)108 470.4 S(iltin).2 E F1(shell\255b)2.5 E(uiltin)-.2 E F0([)2.5 E
-F1(ar)A(guments)-.37 E F0(])A(Ex)144 482.4 Q .793
-(ecute the speci\214ed shell b)-.15 F .793(uiltin, passing it)-.2 F F1
+E F1(br)108 453.6 Q(eak)-.18 E F0([)2.5 E F2(n)A F0(])A .054
+(Exit from within a)144 465.6 R F1 -.25(fo)2.554 G(r).25 E F0(,)A F1
+(while)2.554 E F0(,)A F1(until)2.555 E F0 2.555(,o)C(r)-2.555 E F1
+(select)2.555 E F0 2.555(loop. If)2.555 F F2(n)2.555 E F0 .055
+(is speci\214ed, break)2.555 F F2(n)2.555 E F0(le)2.555 E -.15(ve)-.25 G
+(ls.).15 E F2(n)5.415 E F0 .055(must be)2.795 F/F5 10/Symbol SF<b3>2.555
+E F0(1.)2.555 E(If)144 477.6 Q F2(n)3.075 E F0 .215(is greater than the\
+ number of enclosing loops, all enclosing loops are e)2.955 F 2.714
+(xited. The)-.15 F .214(return v)2.714 F(alue)-.25 E(is 0 unless)144
+489.6 Q F2(n)2.5 E F0(is not greater than or equal to 1.)2.5 E F1 -.2
+(bu)108 506.4 S(iltin).2 E F2(shell\255b)2.5 E(uiltin)-.2 E F0([)2.5 E
+F2(ar)A(guments)-.37 E F0(])A(Ex)144 518.4 Q .792
+(ecute the speci\214ed shell b)-.15 F .792(uiltin, passing it)-.2 F F2
 (ar)3.293 E(guments)-.37 E F0 3.293(,a).27 G .793(nd return its e)-3.293
-F .792(xit status.)-.15 F .792(This is useful)5.792 F .615
+F .793(xit status.)-.15 F .793(This is useful)5.793 F .616
 (when de\214ning a function whose name is the same as a shell b)144
-494.4 R .616(uiltin, retaining the functionality of)-.2 F .57(the b)144
-506.4 R .57(uiltin within the function.)-.2 F(The)5.57 E F2(cd)3.07 E F0
+530.4 R .615(uiltin, retaining the functionality of)-.2 F .57(the b)144
+542.4 R .57(uiltin within the function.)-.2 F(The)5.57 E F1(cd)3.07 E F0
 -.2(bu)3.07 G .57(iltin is commonly rede\214ned this w).2 F(ay)-.1 E
-5.57(.T)-.65 G .57(he return status)-5.57 F(is f)144 518.4 Q(alse if)-.1
-E F1(shell\255b)2.84 E(uiltin)-.2 E F0(is not a shell b)2.74 E
-(uiltin command.)-.2 E F2(caller)108 535.2 Q F0([)2.5 E F1 -.2(ex)C(pr)
-.2 E F0(])A .253(Returns the conte)144 547.2 R .254(xt of an)-.15 F
+5.57(.T)-.65 G .57(he return status)-5.57 F(is f)144 554.4 Q(alse if)-.1
+E F2(shell\255b)2.84 E(uiltin)-.2 E F0(is not a shell b)2.74 E
+(uiltin command.)-.2 E F1(caller)108 571.2 Q F0([)2.5 E F2 -.2(ex)C(pr)
+.2 E F0(])A .254(Returns the conte)144 583.2 R .254(xt of an)-.15 F
 2.754(ya)-.15 G(cti)-2.754 E .554 -.15(ve s)-.25 H .254
 (ubroutine call \(a shell function or a script e).15 F -.15(xe)-.15 G
-.254(cuted with the).15 F F2(.)2.754 E F0(or)2.754 E F2(sour)144 559.2 Q
-(ce)-.18 E F0 -.2(bu)2.825 G 2.825(iltins\). W).2 F(ithout)-.4 E F1 -.2
-(ex)2.825 G(pr).2 E F0(,)A F2(caller)2.825 E F0 .324
+.254(cuted with the).15 F F1(.)2.753 E F0(or)2.753 E F1(sour)144 595.2 Q
+(ce)-.18 E F0 -.2(bu)2.824 G 2.824(iltins\). W).2 F(ithout)-.4 E F2 -.2
+(ex)2.824 G(pr).2 E F0(,)A F1(caller)2.824 E F0 .324
 (displays the line number and source \214lename of the current)2.824 F
-.253(subroutine call.)144 571.2 R .253(If a non-ne)5.253 F -.05(ga)-.15
-G(ti).05 E .553 -.15(ve i)-.25 H(nte).15 E .253(ger is supplied as)-.15
-F F1 -.2(ex)2.753 G(pr).2 E F0(,)A F2(caller)2.753 E F0 .254
-(displays the line number)2.754 F 2.754(,s)-.4 G(ub-)-2.754 E 1.327(rou\
+.254(subroutine call.)144 607.2 R .254(If a non-ne)5.254 F -.05(ga)-.15
+G(ti).05 E .554 -.15(ve i)-.25 H(nte).15 E .253(ger is supplied as)-.15
+F F2 -.2(ex)2.753 G(pr).2 E F0(,)A F1(caller)2.753 E F0 .253
+(displays the line number)2.753 F 2.753(,s)-.4 G(ub-)-2.753 E 1.327(rou\
 tine name, and source \214le corresponding to that position in the curr\
-ent e)144 583.2 R -.15(xe)-.15 G 1.327(cution call stack.).15 F(This e)
-144 595.2 Q(xtra information may be used, for e)-.15 E .001
-(xample, to print a stack trace.)-.15 F .001(The current frame is frame)
-5.001 F 3.02(0. The)144 607.2 R .52(return v)3.02 F .52
-(alue is 0 unless the shell is not e)-.25 F -.15(xe)-.15 G .519
-(cuting a subroutine call or).15 F F1 -.2(ex)3.019 G(pr).2 E F0 .519
-(does not corre-)3.019 F(spond to a v)144 619.2 Q
-(alid position in the call stack.)-.25 E F2(cd)108 636 Q F0([)2.5 E F2
-<ad4c>A F0(|[)A F2<ad50>A F0([)2.5 E F2<ad65>A F0(]] [\255@]] [)A F1
-(dir)A F0(])A .321(Change the current directory to)144 648 R F1(dir)
-2.821 E F0 5.321(.i)C(f)-5.321 E F1(dir)2.821 E F0 .322
-(is not supplied, the v)2.821 F .322(alue of the)-.25 F F3(HOME)2.822 E
-F0 .322(shell v)2.572 F .322(ariable is)-.25 F 1.036(the def)144 660 R
-3.536(ault. An)-.1 F 3.536(ya)-.15 G 1.035(dditional ar)-3.536 F 1.035
-(guments follo)-.18 F(wing)-.25 E F1(dir)3.535 E F0 1.035(are ignored.)
-3.535 F 1.035(The v)6.035 F(ariable)-.25 E F3(CDP)3.535 E -.855(AT)-.666
-G(H).855 E F0(de\214nes)3.285 E .849
-(the search path for the directory containing)144 672 R F1(dir)3.349 E
-F0 3.35(:e).73 G .85(ach directory name in)-3.35 F F3(CDP)3.35 E -.855
-(AT)-.666 G(H).855 E F0 .85(is searched for)3.1 F F1(dir)144 684 Q F0
-5.665(.A)C(lternati)-5.665 E .965 -.15(ve d)-.25 H .665
+ent e)144 619.2 R -.15(xe)-.15 G 1.328(cution call stack.).15 F .001
+(This e)144 631.2 R .001(xtra information may be used, for e)-.15 F .001
+(xample, to print a stack trace.)-.15 F(The current frame is frame)5 E
+3.019(0. The)144 643.2 R .519(return v)3.019 F .519
+(alue is 0 unless the shell is not e)-.25 F -.15(xe)-.15 G .52
+(cuting a subroutine call or).15 F F2 -.2(ex)3.02 G(pr).2 E F0 .52
+(does not corre-)3.02 F(spond to a v)144 655.2 Q
+(alid position in the call stack.)-.25 E F1(cd)108 672 Q F0([)2.5 E F1
+<ad4c>A F0(|[)A F1<ad50>A F0([)2.5 E F1<ad65>A F0(]] [\255@]] [)A F2
+(dir)A F0(])A .322(Change the current directory to)144 684 R F2(dir)
+2.822 E F0 5.322(.i)C(f)-5.322 E F2(dir)2.822 E F0 .321
+(is not supplied, the v)2.822 F .321(alue of the)-.25 F F3(HOME)2.821 E
+F0 .321(shell v)2.571 F .321(ariable is)-.25 F 1.035(the def)144 696 R
+3.535(ault. An)-.1 F 3.535(ya)-.15 G 1.035(dditional ar)-3.535 F 1.035
+(guments follo)-.18 F(wing)-.25 E F2(dir)3.535 E F0 1.035(are ignored.)
+3.535 F 1.036(The v)6.035 F(ariable)-.25 E F3(CDP)3.536 E -.855(AT)-.666
+G(H).855 E F0(de\214nes)3.286 E .85
+(the search path for the directory containing)144 708 R F2(dir)3.35 E F0
+3.35(:e).73 G .849(ach directory name in)-3.35 F F3(CDP)3.349 E -.855
+(AT)-.666 G(H).855 E F0 .849(is searched for)3.099 F F2(dir)144 720 Q F0
+5.664(.A)C(lternati)-5.664 E .964 -.15(ve d)-.25 H .665
 (irectory names in).15 F F3(CDP)3.165 E -.855(AT)-.666 G(H).855 E F0
-.665(are separated by a colon \(:\).)2.915 F 3.165(An)5.665 G .664
-(ull directory name)-3.165 F(in)144 696 Q F3(CDP)4.162 E -.855(AT)-.666
-G(H).855 E F0 1.662(is the same as the current directory)3.912 F 4.162
-(,i)-.65 G 1.662(.e., `)-4.162 F(`)-.74 E F2(.)A F0 -.74('')C 6.662(.I)
-.74 G(f)-6.662 E F1(dir)4.513 E F0(be)4.893 E 1.663
-(gins with a slash \(/\), then)-.15 F F3(CDP)144 708 Q -.855(AT)-.666 G
-(H).855 E F0 .191(is not used.)2.441 F(The)5.191 E F2<ad50>2.691 E F0
-.191(option causes)2.691 F F2(cd)2.691 E F0 .191(to use the ph)2.691 F
-.19(ysical directory structure by resolving)-.05 F 1.12
-(symbolic links while tra)144 720 R -.15(ve)-.2 G(rsing).15 E F1(dir)
-3.62 E F0 1.12(and before processing instances of)3.62 F F1(..)3.62 E F0
-(in)3.62 E F1(dir)3.62 E F0 1.12(\(see also the)3.62 F F2<ad50>3.62 E F0
-(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E(2)203.725 E 0 Cg EP
+.665(are separated by a colon \(:\).)2.915 F 3.165(An)5.665 G .665
+(ull directory name)-3.165 F(GNU Bash-4.2)72 768 Q(2004 Apr 20)148.735 E
+(2)203.725 E 0 Cg EP
 %%Page: 3 3
 %%BeginPageSetup
 BP
 %%EndPageSetup
 /F0 10/Times-Roman@0 SF -.35(BA)72 48 S(SH_B).35 E(UIL)-.1 E 87.61
 (TINS\(1\) General)-.92 F(Commands Manual)2.5 E -.35(BA)90.11 G(SH_B).35
-E(UIL)-.1 E(TINS\(1\))-.92 E .395(option to the)144 84 R/F1 10
-/Times-Bold@0 SF(set)2.895 E F0 -.2(bu)2.895 G .395
-(iltin command\); the).2 F F1<ad4c>2.895 E F0 .395
+E(UIL)-.1 E(TINS\(1\))-.92 E(in)144 84 Q/F1 9/Times-Bold@0 SF(CDP)4.163
+E -.855(AT)-.666 G(H).855 E F0 1.663
+(is the same as the current directory)3.913 F 4.162(,i)-.65 G 1.662
+(.e., `)-4.162 F(`)-.74 E/F2 10/Times-Bold@0 SF(.)A F0 -.74('')C 6.662
+(.I).74 G(f)-6.662 E/F3 10/Times-Italic@0 SF(dir)4.512 E F0(be)4.892 E
+1.662(gins with a slash \(/\), then)-.15 F F1(CDP)144 96 Q -.855(AT)
+-.666 G(H).855 E F0 .19(is not used.)2.44 F(The)5.191 E F2<ad50>2.691 E
+F0 .191(option causes)2.691 F F2(cd)2.691 E F0 .191(to use the ph)2.691
+F .191(ysical directory structure by resolving)-.05 F 1.12
+(symbolic links while tra)144 108 R -.15(ve)-.2 G(rsing).15 E F3(dir)
+3.62 E F0 1.12(and before processing instances of)3.62 F F3(..)3.62 E F0
+(in)3.62 E F3(dir)3.62 E F0 1.12(\(see also the)3.62 F F2<ad50>3.62 E F0
+.395(option to the)144 120 R F2(set)2.895 E F0 -.2(bu)2.895 G .395
+(iltin command\); the).2 F F2<ad4c>2.895 E F0 .395
 (option forces symbolic links to be follo)2.895 F .395(wed by resolv-)
--.25 F .443(ing the link after processing instances of)144 96 R/F2 10
-/Times-Italic@0 SF(..)2.943 E F0(in)2.943 E F2(dir)2.943 E F0 5.443(.I)C
-(f)-5.443 E F2(..)2.943 E F0 .443(appears in)2.943 F F2(dir)2.943 E F0
-2.943(,i)C 2.943(ti)-2.943 G 2.944(sp)-2.943 G .444(rocessed by remo)
--2.944 F(ving)-.15 E .744(the immediately pre)144 108 R .744
-(vious pathname component from)-.25 F F2(dir)3.244 E F0 3.244(,b)C .744
-(ack to a slash or the be)-3.244 F .744(ginning of)-.15 F F2(dir)3.244 E
-F0(.)A 1.465(If the)144 120 R F1<ad65>3.965 E F0 1.465
-(option is supplied with)3.965 F F1<ad50>3.965 E F0 3.965(,a)C 1.465
-(nd the current w)-3.965 F 1.466
-(orking directory cannot be successfully)-.1 F .468
-(determined after a successful directory change,)144 132 R F1(cd)2.968 E
-F0 .468(will return an unsuccessful status.)2.968 F .467(On systems)
-5.467 F .336(that support it, the)144 144 R F1<ad40>2.836 E F0 .336
-(option presents the e)2.836 F .336(xtended attrib)-.15 F .337
+-.25 F .444(ing the link after processing instances of)144 132 R F3(..)
+2.943 E F0(in)2.943 E F3(dir)2.943 E F0 5.443(.I)C(f)-5.443 E F3(..)
+2.943 E F0 .443(appears in)2.943 F F3(dir)2.943 E F0 2.943(,i)C 2.943
+(ti)-2.943 G 2.943(sp)-2.943 G .443(rocessed by remo)-2.943 F(ving)-.15
+E .744(the immediately pre)144 144 R .744(vious pathname component from)
+-.25 F F3(dir)3.244 E F0 3.244(,b)C .744(ack to a slash or the be)-3.244
+F .744(ginning of)-.15 F F3(dir)3.244 E F0(.)A 1.466(If the)144 156 R F2
+<ad65>3.966 E F0 1.466(option is supplied with)3.966 F F2<ad50>3.965 E
+F0 3.965(,a)C 1.465(nd the current w)-3.965 F 1.465
+(orking directory cannot be successfully)-.1 F .467
+(determined after a successful directory change,)144 168 R F2(cd)2.968 E
+F0 .468(will return an unsuccessful status.)2.968 F .468(On systems)
+5.468 F .337(that support it, the)144 180 R F2<ad40>2.837 E F0 .336
+(option presents the e)2.836 F .336(xtended attrib)-.15 F .336
 (utes associated with a \214le as a directory)-.2 F(.)-.65 E .71(An ar)
-144 156 R .71(gument of)-.18 F F1<ad>3.21 E F0 .71(is con)3.21 F -.15
-(ve)-.4 G .71(rted to).15 F/F3 9/Times-Bold@0 SF($OLDPWD)3.21 E F0 .71
+144 192 R .71(gument of)-.18 F F2<ad>3.21 E F0 .71(is con)3.21 F -.15
+(ve)-.4 G .71(rted to).15 F F1($OLDPWD)3.21 E F0 .71
 (before the directory change is attempted.)2.96 F .71(If a non-)5.71 F
-.106(empty directory name from)144 168 R F3(CDP)2.606 E -.855(AT)-.666 G
-(H).855 E F0 .107(is used, or if)2.356 F F1<ad>2.607 E F0 .107
-(is the \214rst ar)2.607 F .107(gument, and the directory change)-.18 F
-.038(is successful, the absolute pathname of the ne)144 180 R 2.538(ww)
+.107(empty directory name from)144 204 R F1(CDP)2.607 E -.855(AT)-.666 G
+(H).855 E F0 .107(is used, or if)2.357 F F2<ad>2.607 E F0 .106
+(is the \214rst ar)2.607 F .106(gument, and the directory change)-.18 F
+.038(is successful, the absolute pathname of the ne)144 216 R 2.538(ww)
 -.25 G .038(orking directory is written to the standard output.)-2.638 F
-(The return v)144 192 Q(alue is true if the directory w)-.25 E
-(as successfully changed; f)-.1 E(alse otherwise.)-.1 E F1(command)108
-208.8 Q F0([)2.5 E F1(\255pVv)A F0(])A F2(command)2.5 E F0([)2.5 E F2
-(ar)A(g)-.37 E F0(...])2.5 E(Run)144 220.8 Q F2(command)2.764 E F0(with)
-3.334 E F2(ar)2.894 E(gs)-.37 E F0 .065
-(suppressing the normal shell function lookup.)2.834 F .065(Only b)5.065
-F .065(uiltin commands or)-.2 F .502(commands found in the)144 232.8 R
-F3 -.666(PA)3.002 G(TH)-.189 E F0 .502(are e)2.752 F -.15(xe)-.15 G
-3.002(cuted. If).15 F(the)3.002 E F1<ad70>3.002 E F0 .502(option is gi)
-3.002 F -.15(ve)-.25 G .501(n, the search for).15 F F2(command)3.201 E
-F0(is)3.771 E .399(performed using a def)144 244.8 R .399(ault v)-.1 F
-.399(alue for)-.25 F F3 -.666(PA)2.899 G(TH)-.189 E F0 .4
+(The return v)144 228 Q(alue is true if the directory w)-.25 E
+(as successfully changed; f)-.1 E(alse otherwise.)-.1 E F2(command)108
+244.8 Q F0([)2.5 E F2(\255pVv)A F0(])A F3(command)2.5 E F0([)2.5 E F3
+(ar)A(g)-.37 E F0(...])2.5 E(Run)144 256.8 Q F3(command)2.765 E F0(with)
+3.335 E F3(ar)2.895 E(gs)-.37 E F0 .065
+(suppressing the normal shell function lookup.)2.835 F .064(Only b)5.064
+F .064(uiltin commands or)-.2 F .501(commands found in the)144 268.8 R
+F1 -.666(PA)3.001 G(TH)-.189 E F0 .502(are e)2.751 F -.15(xe)-.15 G
+3.002(cuted. If).15 F(the)3.002 E F2<ad70>3.002 E F0 .502(option is gi)
+3.002 F -.15(ve)-.25 G .502(n, the search for).15 F F3(command)3.202 E
+F0(is)3.772 E .4(performed using a def)144 280.8 R .4(ault v)-.1 F .4
+(alue for)-.25 F F1 -.666(PA)2.9 G(TH)-.189 E F0 .399
 (that is guaranteed to \214nd all of the standard utilities.)2.649 F(If)
-5.4 E .175(either the)144 256.8 R F1<ad56>2.675 E F0(or)2.675 E F1<ad76>
-2.675 E F0 .175(option is supplied, a description of)2.675 F F2(command)
-2.875 E F0 .174(is printed.)3.445 F(The)5.174 E F1<ad76>2.674 E F0 .174
-(option causes)2.674 F 3.317(as)144 268.8 S .817(ingle w)-3.317 F .817
-(ord indicating the command or \214lename used to in)-.1 F -.2(vo)-.4 G
--.1(ke).2 G F2(command)3.618 E F0 .818(to be displayed; the)4.088 F F1
-<ad56>144 280.8 Q F0 .25(option produces a more v)2.75 F .25
-(erbose description.)-.15 F .249(If the)5.25 F F1<ad56>2.749 E F0(or)
-2.749 E F1<ad76>2.749 E F0 .249(option is supplied, the e)2.749 F .249
-(xit status)-.15 F 1.004(is 0 if)144 292.8 R F2(command)3.704 E F0 -.1
-(wa)4.274 G 3.504(sf).1 G 1.005(ound, and 1 if not.)-3.504 F 1.005
-(If neither option is supplied and an error occurred or)6.005 F F2
-(command)144.2 304.8 Q F0 1.599(cannot be found, the e)4.869 F 1.599
-(xit status is 127.)-.15 F 1.599(Otherwise, the e)6.599 F 1.598
-(xit status of the)-.15 F F1(command)4.098 E F0 -.2(bu)144 316.8 S
-(iltin is the e).2 E(xit status of)-.15 E F2(command)2.5 E F0(.).77 E F1
-(compgen)108 333.6 Q F0([)2.5 E F2(option)A F0 2.5(][)C F2(wor)-2.5 E(d)
--.37 E F0(])A .012(Generate possible completion matches for)144 345.6 R
-F2(wor)2.513 E(d)-.37 E F0 .013(according to the)2.513 F F2(option)2.513
-E F0 .013(s, which may be an)B 2.513(yo)-.15 G(ption)-2.513 E .982
-(accepted by the)144 357.6 R F1(complete)3.482 E F0 -.2(bu)3.481 G .981
-(iltin with the e).2 F .981(xception of)-.15 F F1<ad70>3.481 E F0(and)
-3.481 E F1<ad72>3.481 E F0 3.481(,a)C .981(nd write the matches to the)
--3.481 F .13(standard output.)144 369.6 R .13(When using the)5.13 F F1
-<ad46>2.63 E F0(or)2.63 E F1<ad43>2.631 E F0 .131(options, the v)2.631 F
-.131(arious shell v)-.25 F .131(ariables set by the program-)-.25 F
-(mable completion f)144 381.6 Q(acilities, while a)-.1 E -.25(va)-.2 G
+5.399 E .174(either the)144 292.8 R F2<ad56>2.674 E F0(or)2.674 E F2
+<ad76>2.674 E F0 .175(option is supplied, a description of)2.674 F F3
+(command)2.875 E F0 .175(is printed.)3.445 F(The)5.175 E F2<ad76>2.675 E
+F0 .175(option causes)2.675 F 3.318(as)144 304.8 S .818(ingle w)-3.318 F
+.817(ord indicating the command or \214lename used to in)-.1 F -.2(vo)
+-.4 G -.1(ke).2 G F3(command)3.617 E F0 .817(to be displayed; the)4.087
+F F2<ad56>144 316.8 Q F0 .249(option produces a more v)2.749 F .249
+(erbose description.)-.15 F .249(If the)5.249 F F2<ad56>2.749 E F0(or)
+2.749 E F2<ad76>2.75 E F0 .25(option is supplied, the e)2.75 F .25
+(xit status)-.15 F 1.005(is 0 if)144 328.8 R F3(command)3.705 E F0 -.1
+(wa)4.275 G 3.505(sf).1 G 1.005(ound, and 1 if not.)-3.505 F 1.004
+(If neither option is supplied and an error occurred or)6.005 F F3
+(command)144.2 340.8 Q F0 1.598(cannot be found, the e)4.868 F 1.599
+(xit status is 127.)-.15 F 1.599(Otherwise, the e)6.599 F 1.599
+(xit status of the)-.15 F F2(command)4.099 E F0 -.2(bu)144 352.8 S
+(iltin is the e).2 E(xit status of)-.15 E F3(command)2.5 E F0(.).77 E F2
+(compgen)108 369.6 Q F0([)2.5 E F3(option)A F0 2.5(][)C F3(wor)-2.5 E(d)
+-.37 E F0(])A .013(Generate possible completion matches for)144 381.6 R
+F3(wor)2.513 E(d)-.37 E F0 .013(according to the)2.513 F F3(option)2.513
+E F0 .013(s, which may be an)B 2.512(yo)-.15 G(ption)-2.512 E .981
+(accepted by the)144 393.6 R F2(complete)3.481 E F0 -.2(bu)3.481 G .981
+(iltin with the e).2 F .981(xception of)-.15 F F2<ad70>3.481 E F0(and)
+3.481 E F2<ad72>3.481 E F0 3.481(,a)C .982(nd write the matches to the)
+-3.481 F .131(standard output.)144 405.6 R .131(When using the)5.131 F
+F2<ad46>2.631 E F0(or)2.631 E F2<ad43>2.631 E F0 .131(options, the v)
+2.631 F .13(arious shell v)-.25 F .13(ariables set by the program-)-.25
+F(mable completion f)144 417.6 Q(acilities, while a)-.1 E -.25(va)-.2 G
 (ilable, will not ha).25 E .3 -.15(ve u)-.2 H(seful v).15 E(alues.)-.25
-E .352(The matches will be generated in the same w)144 405.6 R .352
+E .352(The matches will be generated in the same w)144 441.6 R .352
 (ay as if the programmable completion code had gen-)-.1 F .02(erated th\
 em directly from a completion speci\214cation with the same \215ags.)144
-417.6 R(If)5.02 E F2(wor)2.52 E(d)-.37 E F0 .02(is speci\214ed, only)
-2.52 F(those completions matching)144 429.6 Q F2(wor)2.5 E(d)-.37 E F0
-(will be displayed.)2.5 E(The return v)144 453.6 Q
+453.6 R(If)5.02 E F3(wor)2.52 E(d)-.37 E F0 .02(is speci\214ed, only)
+2.52 F(those completions matching)144 465.6 Q F3(wor)2.5 E(d)-.37 E F0
+(will be displayed.)2.5 E(The return v)144 489.6 Q
 (alue is true unless an in)-.25 E -.25(va)-.4 G
-(lid option is supplied, or no matches were generated.).25 E F1
-(complete)108 470.4 Q F0([)3.729 E F1(\255abcdefgjksuv)A F0 3.729(][)C
-F1<ad6f>-3.729 E F2(comp-option)3.729 E F0 3.729(][)C F1(\255DE)-3.729 E
-F0 3.728(][)C F1<ad41>-3.728 E F2(action)3.728 E F0 3.728(][)C F1<ad47>
--3.728 E F2(globpat)3.728 E F0 3.728(][)C F1<ad57>-3.728 E F2(wor)3.728
-E(dlist)-.37 E F0 3.728(][)C F1<ad46>-3.728 E F2(func-)3.728 E(tion)108
-482.4 Q F0 2.5(][)C F1<ad43>-2.5 E F2(command)2.5 E F0(])A([)144 494.4 Q
-F1<ad58>A F2(\214lterpat)2.5 E F0 2.5(][)C F1<ad50>-2.5 E F2(pr)2.5 E
-(e\214x)-.37 E F0 2.5(][)C F1<ad53>-2.5 E F2(suf)2.5 E<8c78>-.18 E F0(])
-A F2(name)2.5 E F0([)2.5 E F2(name ...)A F0(])A F1(complete \255pr)108
-506.4 Q F0([)2.5 E F1(\255DE)A F0 2.5(][)C F2(name)-2.5 E F0(...])2.5 E
-.633(Specify ho)144 518.4 R 3.133(wa)-.25 G -.18(rg)-3.133 G .633
-(uments to each).18 F F2(name)3.133 E F0 .633(should be completed.)3.133
-F .634(If the)5.634 F F1<ad70>3.134 E F0 .634
-(option is supplied, or if no)3.134 F .14(options are supplied, e)144
-530.4 R .139(xisting completion speci\214cations are printed in a w)-.15
-F .139(ay that allo)-.1 F .139(ws them to be)-.25 F .31
-(reused as input.)144 542.4 R(The)5.31 E F1<ad72>2.81 E F0 .31
-(option remo)2.81 F -.15(ve)-.15 G 2.81(sac).15 G .31
-(ompletion speci\214cation for each)-2.81 F F2(name)2.81 E F0 2.81(,o)C
-1.11 -.4(r, i)-2.81 H 2.81(fn).4 G(o)-2.81 E F2(name)2.81 E F0(s)A 1.347
-(are supplied, all completion speci\214cations.)144 554.4 R(The)6.347 E
-F1<ad44>3.847 E F0 1.346(option indicates that the remaining options)
-3.847 F .5(and actions should apply to the `)144 566.4 R(`def)-.74 E
+(lid option is supplied, or no matches were generated.).25 E F2
+(complete)108 506.4 Q F0([)3.728 E F2(\255abcdefgjksuv)A F0 3.728(][)C
+F2<ad6f>-3.728 E F3(comp-option)3.728 E F0 3.728(][)C F2(\255DE)-3.728 E
+F0 3.728(][)C F2<ad41>-3.728 E F3(action)3.728 E F0 3.728(][)C F2<ad47>
+-3.728 E F3(globpat)3.728 E F0 3.729(][)C F2<ad57>-3.729 E F3(wor)3.729
+E(dlist)-.37 E F0 3.729(][)C F2<ad46>-3.729 E F3(func-)3.729 E(tion)108
+518.4 Q F0 2.5(][)C F2<ad43>-2.5 E F3(command)2.5 E F0(])A([)144 530.4 Q
+F2<ad58>A F3(\214lterpat)2.5 E F0 2.5(][)C F2<ad50>-2.5 E F3(pr)2.5 E
+(e\214x)-.37 E F0 2.5(][)C F2<ad53>-2.5 E F3(suf)2.5 E<8c78>-.18 E F0(])
+A F3(name)2.5 E F0([)2.5 E F3(name ...)A F0(])A F2(complete \255pr)108
+542.4 Q F0([)2.5 E F2(\255DE)A F0 2.5(][)C F3(name)-2.5 E F0(...])2.5 E
+.634(Specify ho)144 554.4 R 3.134(wa)-.25 G -.18(rg)-3.134 G .634
+(uments to each).18 F F3(name)3.134 E F0 .634(should be completed.)3.134
+F .633(If the)5.634 F F2<ad70>3.133 E F0 .633
+(option is supplied, or if no)3.133 F .139(options are supplied, e)144
+566.4 R .139(xisting completion speci\214cations are printed in a w)-.15
+F .14(ay that allo)-.1 F .14(ws them to be)-.25 F .31(reused as input.)
+144 578.4 R(The)5.31 E F2<ad72>2.81 E F0 .31(option remo)2.81 F -.15(ve)
+-.15 G 2.81(sac).15 G .31(ompletion speci\214cation for each)-2.81 F F3
+(name)2.81 E F0 2.81(,o)C 1.11 -.4(r, i)-2.81 H 2.81(fn).4 G(o)-2.81 E
+F3(name)2.81 E F0(s)A 1.346
+(are supplied, all completion speci\214cations.)144 590.4 R(The)6.347 E
+F2<ad44>3.847 E F0 1.347(option indicates that the remaining options)
+3.847 F .5(and actions should apply to the `)144 602.4 R(`def)-.74 E
 (ault')-.1 E 3('c)-.74 G .5
 (ommand completion; that is, completion attempted on)-3 F 3.455(ac)144
-578.4 S .955(ommand for which no completion has pre)-3.455 F .955
-(viously been de\214ned.)-.25 F(The)5.955 E F1<ad45>3.455 E F0 .955
-(option indicates that)3.455 F .064
-(the remaining options and actions should apply to `)144 590.4 R
-(`empty')-.74 E 2.565('c)-.74 G .065
-(ommand completion; that is, comple-)-2.565 F
-(tion attempted on a blank line.)144 602.4 Q 1.438
+614.4 S .955(ommand for which no completion has pre)-3.455 F .955
+(viously been de\214ned.)-.25 F(The)5.955 E F2<ad45>3.455 E F0 .955
+(option indicates that)3.455 F .065
+(the remaining options and actions should apply to `)144 626.4 R
+(`empty')-.74 E 2.564('c)-.74 G .064
+(ommand completion; that is, comple-)-2.564 F
+(tion attempted on a blank line.)144 638.4 Q 1.437
 (The process of applying these completion speci\214cations when w)144
-626.4 R 1.437(ord completion is attempted is)-.1 F(described abo)144
-638.4 Q .3 -.15(ve u)-.15 H(nder).15 E F1(Pr)2.5 E
-(ogrammable Completion)-.18 E F0(.)A .555
-(Other options, if speci\214ed, ha)144 662.4 R .855 -.15(ve t)-.2 H .555
+662.4 R 1.438(ord completion is attempted is)-.1 F(described abo)144
+674.4 Q .3 -.15(ve u)-.15 H(nder).15 E F2(Pr)2.5 E
+(ogrammable Completion)-.18 E F0(.)A .556
+(Other options, if speci\214ed, ha)144 698.4 R .856 -.15(ve t)-.2 H .555
 (he follo).15 F .555(wing meanings.)-.25 F .555(The ar)5.555 F .555
-(guments to the)-.18 F F1<ad47>3.056 E F0(,)A F1<ad57>3.056 E F0 3.056
-(,a)C(nd)-3.056 E F1<ad58>3.056 E F0 .723(options \(and, if necessary)
-144 674.4 R 3.223(,t)-.65 G(he)-3.223 E F1<ad50>3.223 E F0(and)3.223 E
-F1<ad53>3.223 E F0 .722
-(options\) should be quoted to protect them from e)3.223 F(xpan-)-.15 E
-(sion before the)144 686.4 Q F1(complete)2.5 E F0 -.2(bu)2.5 G
-(iltin is in).2 E -.2(vo)-.4 G -.1(ke).2 G(d.).1 E F1<ad6f>144 698.4 Q
-F2(comp-option)2.5 E F0(The)184 710.4 Q F2(comp-option)2.79 E F0 .291
-(controls se)2.791 F -.15(ve)-.25 G .291(ral aspects of the compspec')
-.15 F 2.791(sb)-.55 G(eha)-2.791 E .291(vior be)-.2 F .291
-(yond the simple)-.15 F(generation of completions.)184 722.4 Q F2
-(comp-option)5 E F0(may be one of:)2.5 E(GNU Bash-4.2)72 768 Q
+(guments to the)-.18 F F2<ad47>3.055 E F0(,)A F2<ad57>3.055 E F0 3.055
+(,a)C(nd)-3.055 E F2<ad58>3.055 E F0 .722(options \(and, if necessary)
+144 710.4 R 3.222(,t)-.65 G(he)-3.222 E F2<ad50>3.222 E F0(and)3.222 E
+F2<ad53>3.222 E F0 .723
+(options\) should be quoted to protect them from e)3.222 F(xpan-)-.15 E
+(sion before the)144 722.4 Q F2(complete)2.5 E F0 -.2(bu)2.5 G
+(iltin is in).2 E -.2(vo)-.4 G -.1(ke).2 G(d.).1 E(GNU Bash-4.2)72 768 Q
 (2004 Apr 20)148.735 E(3)203.725 E 0 Cg EP
 %%Page: 4 4
 %%BeginPageSetup
